package edu.uoc.petfinder.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mongodb.client.model.geojson.Point;
import edu.uoc.petfinder.constant.ActionType;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.time.Instant;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ActionDto {

    private String id;

    @NotNull
    private ActionType type;

    private String message;

    private LocationDto location;

    private UserDto creator;

    private Instant createdDate;

    private Instant lastModifiedDate;
}
