package edu.uoc.petfinder.dto;

import com.mongodb.client.model.geojson.Point;
import edu.uoc.petfinder.constant.PetType;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.NonNull;
import org.springframework.data.geo.Distance;
import org.springframework.data.geo.GeoResult;

import java.util.ArrayList;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class SimplePetDto {

    private String id;
    private PetType type;
    private String name;
    private String description;
    private LocationDto location;
    private SimpleActionDto lastState;
    private List<ImageDto> images = new ArrayList<>();

}
