package edu.uoc.petfinder.mail;

import edu.uoc.petfinder.dto.ActionDto;
import edu.uoc.petfinder.dto.PetDto;
import edu.uoc.petfinder.dto.UserDto;
import lombok.Builder;
import lombok.Data;
import org.springframework.data.geo.Distance;

import javax.validation.constraints.NotNull;

@Data
@Builder
public class EmailData {

    @NotNull
    private UserDto user;

    private PetDto pet;

    private ActionDto action;

    private Distance distance;
}
