package edu.uoc.petfinder.repository;

import edu.uoc.petfinder.model.Action;
import edu.uoc.petfinder.model.User;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.stereotype.Repository;

import java.util.stream.Stream;

@Repository
public interface ActionRepository extends MongoRepository<Action, String> {

    Stream<Action> findAllByCreator(User creator);
}
