package edu.uoc.petfinder.spatial;

import edu.uoc.petfinder.dto.LocationDto;
import edu.uoc.petfinder.dto.SimplePetDto;
import org.springframework.data.domain.Pageable;
import org.springframework.data.geo.GeoPage;

public interface SpatialService {
    GeoPage<SimplePetDto> searchSimplePetByLocation(LocationDto location, Pageable pageable);

    GeoPage<SimplePetDto> searchFoundSimplePetByLocation(LocationDto location, Pageable pageable);
}
