import { Component } from '@angular/core';
import { Title } from '@angular/platform-browser';
import { TranslateService } from '@ngx-translate/core';
import { AnalyticsService } from './services/analytics.service';
import { GeolocationService } from './services/geolocation.service';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent {
  constructor(private geolocationService: GeolocationService, private translate: TranslateService, private analytics: AnalyticsService) {
    translate.setDefaultLang(this.translate.getBrowserLang());
    translate.use(this.translate.getBrowserLang())
  }
}
