import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { AdminComponent } from './admin.component';
import { Routes, RouterModule } from '@angular/router';
import { SharedModule } from 'src/app/shared/shared.module';
import { AdminUsersComponent } from './admin-users/admin-users.component';
import { AdminPetsComponent } from './admin-pets/admin-pets.component';

const routes: Routes = [
  { path: '', component: AdminComponent },
]

@NgModule({
  declarations: [AdminComponent, AdminUsersComponent, AdminPetsComponent],
  imports: [CommonModule, RouterModule.forChild(routes), SharedModule],
})
export class AdminModule {}
