import { Injectable } from '@angular/core';
import { BsModalRef, BsModalService } from 'ngx-bootstrap/modal';
import { CreatePetModalComponent } from './create-pet-modal/create-pet-modal.component';

@Injectable({
  providedIn: 'root'
})
export class CreatePetModalService {

  createPetModalRef: BsModalRef;

  constructor(private modalService: BsModalService) {}

  openModal() {
    this.createPetModalRef = this.modalService.show(CreatePetModalComponent, {/* Initial State to Modal Template */});
  }

  closeModal() {
    if (this.createPetModalRef) {
      this.createPetModalRef.hide();
      this.createPetModalRef = null;
    }
  }
}
