import { Location } from './Location';
import { PetType } from './PetType';
import User from './User';
import {Action} from './Action';
import {Image} from './Image';
import { Genre } from './Genre';

export default class Pet {
  id?: string;
  name: string;
  description?: string;
  type: PetType;
  genre?: Genre;
  birthDate?: Date;
  location?: Location;
  owner?: User;
  createdAt?: Date;
  lastState?: Action;
  actions?: Action[];
  images?: Image[]
};
