package edu.uoc.petfinder.configuration;

import org.locationtech.spatial4j.context.SpatialContext;
import org.locationtech.spatial4j.context.SpatialContextFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

import java.util.Collections;

@Configuration
@ComponentScan(basePackages = {"edu.uoc.petfinder"})
public class SpatialConfiguration {

    @Bean
    public SpatialContext spatialContext() {
        SpatialContext context = SpatialContext.GEO;
        return context;
    }
}
