package edu.uoc.petfinder.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.core.io.Resource;

import java.io.InputStream;


@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ImageDto {

    private String id;

    private String originalFileName;

    private String systemFileName;

    private String contentType;

    private Long contentLength;

    private Resource fileResource;
}
