package edu.uoc.petfinder.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class    LocationDto {

    public LocationDto(Double[] coordinates) {
        if (coordinates == null){
            this.longitude = coordinates[0];
            this.longitude = coordinates[1];
        }
    }

    @NotNull
    @JsonProperty("long")
    private Double longitude;

    @NotNull
    @JsonProperty("lat")
    private Double latitude;

    public Boolean isEmpty() {
        if (this.latitude == null || this.longitude == null)
            return Boolean.TRUE;
        return Boolean.FALSE;
    }
}
