package edu.uoc.petfinder.exception;

import lombok.Builder;
import lombok.Data;
import org.springframework.http.HttpStatus;

import java.time.ZonedDateTime;
import java.util.ArrayList;
import java.util.List;

@Data
@Builder
public class ErrorResponse {

    private HttpStatus status;
    private ZonedDateTime timestamp;
    private String message;
    private String debugMessage;
    private String code;
    private List<SubError> subErrors = new ArrayList<>();
}
