package edu.uoc.petfinder.mail;

import org.springframework.scheduling.annotation.Async;

import javax.mail.MessagingException;
import java.util.Map;

public interface EmailService {
    @Deprecated
    @Async("emailPoolTaskExecutor")
    void sendSimpleMessage(String to, String subject, String text);

    @Async("emailPoolTaskExecutor")
    void sendTemplatedMessage(String to, String subject, String templateName, Map<String, Object> templateModel);
}
