package edu.uoc.petfinder.repository;

import edu.uoc.petfinder.dto.ImageDto;
import edu.uoc.petfinder.model.Image;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface ImageRepository extends MongoRepository<Image, String> {

    Optional<ImageDto> findBySystemFileName(String systemFileName);
}
