package edu.uoc.petfinder.repository;

import edu.uoc.petfinder.constant.RoleType;
import edu.uoc.petfinder.model.Role;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface RoleRepository extends MongoRepository<Role, String> {

    Optional<Role> findByName(RoleType name);
}
