package edu.uoc.petfinder.repository;

import edu.uoc.petfinder.constant.RoleType;
import edu.uoc.petfinder.model.Role;
import edu.uoc.petfinder.model.User;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.mongodb.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.Optional;
import java.util.Set;

@Repository
public interface UserRepository extends MongoRepository<User, String> {

    Optional<User> findByEmail(String email);

    Boolean existsByEmail(String email);

    Boolean existsByRoles(Role role);
}
