import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ActionsModalComponent } from './actions-modal/actions-modal.component';
import { SharedModule } from 'src/app/shared/shared.module';
import { ActionDetailModalComponent } from './action-detail-modal/action-detail-modal.component';



@NgModule({
  declarations: [ActionsModalComponent, ActionDetailModalComponent],
  imports: [
    CommonModule,
    SharedModule
  ],
  entryComponents: [ActionsModalComponent, ActionDetailModalComponent]
})
export class ActionsModule { }
