import { Component, OnInit } from '@angular/core';
import { BaseComponent } from 'src/app/shared/base.component';
import { LayoutService } from '../layout/layout.service';

@Component({
  selector: 'app-admin',
  templateUrl: './admin.component.html',
  styleUrls: ['./admin.component.scss']
})
export class AdminComponent extends BaseComponent implements OnInit {

  constructor(private layoutService: LayoutService ) {
    super();
  }

  ngOnInit(): void {
    this.layoutService.setExtendedHeader(false);
  }

}
