import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FoundComponent } from './found.component';
import { RouterModule, Routes } from '@angular/router';
import { SharedModule } from 'src/app/shared/shared.module';
import { PetModule } from '../pet/pet.module';

const routes: Routes = [
  { path: '', component: FoundComponent },
]


@NgModule({
  declarations: [FoundComponent],
  imports: [
    CommonModule,
    RouterModule.forChild(routes),
    SharedModule,
    PetModule
  ]
})
export class FoundModule { }
