import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { LegalNoteComponent } from './legal-note.component';
import { RouterModule, Routes } from '@angular/router';
import { SharedModule } from 'src/app/shared/shared.module';

const routes: Routes = [
  { path: '', component: LegalNoteComponent },
]

@NgModule({
  declarations: [LegalNoteComponent],
  imports: [
    CommonModule,
    RouterModule.forChild(routes),
    SharedModule,
  ]
})
export class LegalNoteModule { }
