import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'src/app/shared/shared.module';
import { CreatePetModalComponent } from './create-pet-modal/create-pet-modal.component';
import { PetCardComponent } from './pet-card/pet-card.component';
import { PetDetailComponent } from './pet-detail/pet-detail.component';
import { PetActionsComponent } from './shared/pet-actions/pet-actions.component';
import { PetSocialComponent } from './shared/pet-social/pet-social.component';



@NgModule({
  declarations: [CreatePetModalComponent, PetCardComponent, PetDetailComponent, PetActionsComponent, PetSocialComponent],
  imports: [
    CommonModule,
    SharedModule
  ],
  exports: [PetCardComponent],
  entryComponents: [CreatePetModalComponent, PetDetailComponent]
})
export class PetModule { }
